Description

BeamDet 310 cobvpatenbHoe NoHATUE LS BCeX AeTEKTOPOB HEOOXOAMMbIX ANS BOCTAHOBNEHNS XapakTepUCTIK MCXOLHOrO
nyuyka.lleTekTop AONXEH AaBaTb HEPruio, MOEHTUMKALMIO U KOOPAMHATBI MyYKOBOro MOHA Ha MULWEHW. [TyykoBble AeTeKTopb! - 2
MNACTUHbI CUMHTUNNATOPOB, pa3HeCeHHbIE METPOB Ha 15, ANs N3MepeHUs BpeMeHN nponeta

N MHOrOMPOBONOYHbLIE KAMepbI, MOKa 4YTO BO3bMeEM kak B He-8, a noTom noanpasmm napameTpbl NoA HOBYO pa3paboTky.

MuweHb - HepxaBetowas 6aHka Co CTEHKON TOMNIUMHOW MAKPOH MPUMepPHO 20, BHYTPY KOTOPOIA XUIAKUA BOAOPOL. TONWUHY YTOUHIO
nosxe.

Myyok Cepbl-28 aHepruen 40 MaB/HyknoH HaneTaeT Ha BOAOPOAHYIO MULIEHb. TPUTUIA NETUT B KONbLEBOW TENECKON, 8 KPEMHUIA 1
[lBa MPOTOHA B AETEKTOP N3 HECKO/IbKUX KBAAPATHbLIX TENECKOMOB No3aan Marduta. Ytobbl 66110 NOHSATHeE, Kak 370 Bce paboTaer,
Hado pasMasatb no aHepruu, XY v yray Ta1a NepBUYHBIA MOH (+- 2% no aHepruu, no yray 10 mpan(4tob B MuWweEHb nonaaan), B
npocTpaHcTee Ha 0.5 cM. Bce curma ) n nogMewars, ToXe pa3masbiBas, HECKONbKO ApYrux MOHOB (C A He 6onble 31 1 pa3HOCTbIO
yncna NPOTOHOB M HEMTPOHOB He Bonee 5) ¢ Takoi XXe XECTKOCTbIO, T.€. UMEIOWUX TaKYH0 Xe TPaKeTopMIo B MarHUTHOM Mone.
PaBHas XecTKoCTb, 3Ha4uT paBHbl P/Z roe P nmMnynbc uoHa, Z ero 3apsa. 910 NOMoOXeT yBuaeTb paboty ot6opa no TOF n DeltaE.

CrtaHuus MWPC 370 nnockas KOHCTPYKLMS, HANOHEHHAas akTUBHbIM ra3omM. Noka 4to Bo3bmmte RPCgas n3 com
media.geo.TonwuHa rasa 8 MM oaBneHye noka YTo aTMocgepHoe (NoToM Bynem cHuxatb) Temnepartypa 20 rpafycos LeNbeus.
Ha camom gene, B CBOWCTBax Matepuana 3afaeTcs NI0THOCTb, KOTOpas ONpenenseTcs AaBNeHNEM 1 TeMnepaTypoit. [onepeyHsbiii
pasmep 5 cm * 5 cm ona Havana. CteHkn 20 MUKPOH Mainapa. Bca KOHCTpykumMs BCTaBneHa B BakyyM, B KOTOPOM NIETUT My4OK.
BHyTpu raza c warom 1.25 MM NPOBONIOYKM AnaMeTpoM 50 MUKPOH 13, cKaxXeM, BpOH3bl (MOXHO B35iTb Melb noka 4yTo) B
LanbHerweM Haao 6yneT yyecTb AMPy3nio U pekOMOMHALIMIO 3NEKTPOHOB B rase, HO A/15 HaYana Hano pasbuTtb Becb 06beM Ha
napannenbHble MONOCKW, B LEHTPe KaX4oW Nonocku - npososioyka. CurHan ¢ npoBOI0YKM NPOMOPLNOHANEH 3HEProBbIAENEHNIO B
nonocke. Bcero 4 Takmx kamepsbl, CrpynnupoBaHHble No ase. B kaxaon nape B 04HOM KaMmepe NpoBOOYKM NOyT BOO/b X, B APYrom
-saonb Y.

OgpHa napa kamep ctomnT Ha 80 MM (close) Bbilwe No Nyyky OT MULWeEHK, a apyras Ha 280mm (far) ot mmweHn. Kakas kamepa B nape
(X mnn Y) pacnonoxeHa 6nmxe K MAWEHW, NOKa 4TO BCE PaBHO.

History

#1 - 06/29/2017 10:12 AM - Vitaliy Schetinin

- Category set to BeamDet

#2 - 06/29/2017 10:14 AM - Vitaliy Schetinin

KomMeHTapuit kK nepBoMy KOMMUTY

1. root dPaitn reoMeTpun Mbl 3an1BaeMm B peno3utopuit. [la, oH BrHapHbIA, HO BCe Takn 04eHb NErKWii, MO3TOMY He CTPALLHO.

2. B gpaiine create_BeamDet_geo_v1.C napameTtpbl reomeTpum (Takme kak Int_t platesCount = 2; Double_t plateOffsetZ = 1500;) cTouT BbIHECTU
HaBepx Makpoca. dakTnyeckn 06bIYHO UMEHHO OHU U3MEHSIIOTCS OT BEPCUM K BEPCUU.
B Hyne Bcerna HaxoamTcs MuweHb. Bee yactn BeamDet nonxHbl 6biTb pacnonoxeHsl Ao MuweHn. Y Tebs nondyyunock, 410 MWPC v BTOpOI
TOF nocne Hynsi. Hapgo rnobanbHo caBUHYTb Ha3afd BeCb OETEKTOP.
Nyywe 3aBaA3aTh BCe Ha 4 nepeMeHHble: rnobansHoe pacnonoxeHve no Z asyx TOF n nsyx MWPC, a yxe cnyxebHble napaMeTpbl: 4TO Kak
COOPUEHTUPOBAHO BHYTPY Assembly cuntaTb U3 HUX

3. B knacce ERBeamDet. Ceiiyac B peno3utopuv TBOPMTCS NyTaHnLa C TeM Kak Haao opopmnaTe knacc cumynaumm. TyT 9 BuHoBart. lNpaBunbHO
Tak Kak ceryac HanmcaHo B AOKyMeHTauuu. To ecTb TeKyllee COCTOSIHME MOMHTA XPaHSAT nepeMeHHble knacca. CTtaTnyeckumy nepeMeHHbIMm
Mbl He nonb3yeMcs. Y 1e65 BO3HUKM ABe nepemeHHble eloss 1 fEloss, koTopble No cMbicy - 0AHO U Toxe. Coenai 3T0 0AHON NepPEMEHHON 1 Y
Te65 OyLyT HOpManbHO NUCaTb MOVHTBI.

4.YBuaen ocobeHHOCTb, cBsizaHHyt0 ¢ charinom geonfig/g4Config.C. Mbl MCMONb3yeM MHOFOCTOMHLIV MUPOT 13 BUBNNOTEK, Fae Kax Ablii HOPOBUT
[06aBUTb 4TO-TO CBOE. TYT [ONrO 06 BACHSATL NOKa MPOCTO NPUMU Ha BEPY, YTO CO3MaHme Knacca AOMXHO BbirnsAeTb Tak:
TG4RunConfiguration* runConfiguration
= new TG4RunConfiguration("geomRoot", "QBBC", "stepLimiter+stackPopper");
#3 - 06/29/2017 11:52 AM - Vitaliy Schetinin

1. Cnenyet TakXxe co3partb He OAVH, a ABa knacca novHTtos: ERBeamDetTofPoint u ERBeamDetMwpcPoint. I 3anonHaTb COOTBETCTBEHHO ABE
konnekumu. Mpumep MoxHo nocmoTpeTb B ERGadast

2. B nomHtax MWPC 3anucblBaTtb B Kaky MMEHHO CTaHumio 1 06 bEM NpoBonokM nonan nouHT. B Tof B kakoi no cyety nnactuk. Kak noctasTb
HOoMepa Tekylumx 06 bEMOB Npy TpaHCropTe MOXHO cMoTepTb B ERNeuRad

Int_t curVolld = gMC->CurrentVollD(fiberlnModuleNb); - Homep konumn Tekywwero o6bema
Int_t corOffVolld = gMC->CurrentVolOffID(1, moduleNb); - Homep konun maTepuHckoro o6bema

#4 - 06/29/2017 07:05 PM - Vitaliy Schetinin

- Assignee changed from Vitaliy Schetinin to Mikhail Kozlov

#5 - 06/29/2017 07:16 PM - Vitaliy Schetinin

J06aBnTb MULWEHb B CUMYNALMIO

#6 - 07/01/2017 12:45 AM - Mikhail Kozlov

1) Mpoboean pasHele napameTpbl B TG4RunConfiguration* runConfiguration = new TG4RunConfiguration("geomRoot", "QBBC",
"stepLimiter+stackPopper"). He noHumato, npasunbHo nu ceityac pabotaeT cumynaums?

2) Ecnu Mbl y6panu ctatudeckue nepemMeHHble n3 processHits(), To, MoxeTt, cnefnyet npenucatb Meton AddPoint() 6e3 napameTtpos?

3) B nokymeHTauum ceiyac B onucaHum peanusaunm 3akoHa bupkca cratnyeckue nepemeHHble B napametpax AddPoint octanuce.

#7 - 07/01/2017 02:09 PM - Vitaliy Schetinin

1) O npaBnNbHOCTN CUMYNSALMN MOXHO CyanTb Mo ABYM Bewam: eventDisplay.C - BU3yanbHO 1 No NOMHTaM B sim.root

Ha eventDisplay y Tebs ceityac Takas cuTyaums:

ed_def_cuts.png

N ~40Tbicsiy BTOPUYHBIX YacTuL,. TO eCTb MOH OTAAET CBOK SHEPIMIO HA MOHU3aLUMo Bo3ayxa. [oToMy uTo MaTepuan newepsl - Air. Mbl 3a6biu
YNOMSIHYTb, 4TO BCE 9TO LOMXHO NMPOVNCXOAUTL B BakyyMHoi Tpy6e. Moka ans Toro, 4Tobbl €e He BBOAUTL B reOMETPUIO Aasaii rnobanbHo
NOMeHsieEM Matepuan newepsl (geometry/cave.geo) Ha vacuum (MPOBEPUTL Kak NpaBunibHO nuweTcs B geometry/media.geo). MNocne takoro
N3MEHEHNS BUAVM CNeayolLYI0 KapTUHY:
ed_vacuum.png

TyT BUIHO, 4T0 OH foneten Ao BToporo Tof n no MWPC. U/ pooun yxe B HAX BTOPUYHBIE YaCTLbl.

ed_mwpc.png

B gconfig/g4config.in Hy>XHO yCTAHOBMTb KaTbl HA POXAEHNE BTOPUYHbBIX YacTuUL;

/mcPhysics/rangeCutForGamma 1. mm
/mcPhysics/rangeCutForElectron 1. mm

B sim.root MOXHO BUAETb Takoe 3HEProBbIAENEHNE Ha BCEX NOMHTa(MCNONb3yi veiew->Editor ansa nor wkanb):

eloss_beamdet.png

C nomolubto ycnoBusi Ha atpubyT fType, KOTOPLIA Thl BBEN, MOXHO pa3genuTb Ha eloss B Tof 1 MWPC. HyHo npaBoii kHonkoi Ha nepese Start
Tree Viewer. MNepeTawmntsb eloss Mbiwkon Ha X, fType Ha Experssion. MNoTom Edit experssion u Tam c++ CMHTakcUC NpeamkaTos.

eloss_Tof.png eloss_mwpc.png

Ons cumynsumm HyxHo fonpasvTb: 1) Matepman newepsl, 2) Pa3buTb Ha OBe BETKM NOUHTLI 3) Tenepb OeiCTBUTENBHO MPXHO yBpaTth apryMeHTb
13 AddPoint(). 4) Ny4we coenatb AddTofPoint() 1 AddMWPCPoint() 5) lo6aBuTb BOAOPOAHYIO MULWEHb

B ocTtanbHoM oTnn4Ho! B nokyMeHTaumm ceityac nonpasnio, cnacuoo!

#8 - 07/01/2017 09:29 PM - Mikhail Kozlov

Pa3bun NOMHTLI Ha [BE pa3Hble BETKU.

B Gadast 1 netektope 13 LOKyMEHTaUMM HECKOMBKO OTANYAETCA UHMLIMANN3aLmMs B KOCTPYKTOpax. SIBNsSeTCS M 04unH 13 BapnaHTos 6onee
NPUOPUTETHLIM?

MeTton CopyClone() B Gadast nponucaH Tonsko ans ERGadastCslIPoint. Caenan takxe gns ERBeamDetTOFPoint.
#9 - 07/02/2017 07:02 PM - Vitaliy Schetinin

Ja nyctb CopyClones pabotaeT noka Tonbko A5 OLHOIO TMMa NOMHTOB. DTO He CTpawHo. B apyromcnyyae n npocto npuwnock 6bl HacnenoBaTtb
OT OOHOro npenka, KOTOprI7I 6bl Mbl caoneann Tonbko Ang aToro. I/IHmumanmsaum nycTb 6yneT noka Tak, Kak B AOKyMeHTauunu.

#10 - 07/02/2017 10:20 PM - Vitaliy Schetinin
- % Done changed from 0 to 50

Ha nocnenHuii kKoMMuUT:
1) Hy>xHo po6asntb B knacc Tof nouHT atpubyT fTofNb, B koTOpkI Nucats Homep Tof cTaHumu.

2) HyxHo no6asutb B knacc MWPC novHt fMWPCND {0,1} (nepsbliit unu BTopoit MWPC - casoeHHble nnockocTw), fPlaneNb {0,1} (nepsas unn
BTOpas nnockoctb B casoeHHom MWPC), fWire {0, ...} Homep npoBono4ku

3) Bce knaccol faHHbIx 6yaem xpaHuTb B nanke BeamDet/data/. MepeHecy Tyaa knaccbl MOVHTOB
4) CTOUT NnepenMeHoBaTb MakpocC 1 Ha3BaHWe reoMeTpumn MuweHn Ha target.h.geo.root. (git mv )

5) HactpowuTtb B eventDisplay.C oTobpaxeHue nonHTos. MNMonpaeute ctopoky FairMCPointDraw *muSiPoints = new FairMCPointDraw
("ERmuSIiPoint",kOrange, kFullSquare); BbibpaTtb pasHble uBeTa ans noumHTos B tof » 8 MWPC

#11 - 07/03/2017 07:14 PM - Vitaliy Schetinin
- % Done changed from 50 to 90

1) B Tof novHT nnwHwii atpnbyT fStilbenNr

B octanbHOM BCe OTANYHO, MOXHO NEPEXOANTb K HAaNMMCaHWIo reHeparopa u cumynaumm ¢ Hum: http:/er jinr.ru/develop/issues/57

#12 - 07/04/2017 05:14 PM - Mikhail Kozlov
A 3a4ewm fStilbenNr 8 MWPC?

#13 - 07/04/2017 06:40 PM - Vitaliy Schetinin

Toxe He HyXeH. Yaansi

#14 - 07/14/2017 11:23 AM - Mikhail Kozlov

Yro takoe stackPopper TG4RunConfiguration()?

#15 - 07/14/2017 04:19 PM - Mikhail Kozlov

MoxHo nu 3apBatb pa3Hble KaTbl An4a 4yactul, B 3aBUCMMOCTU OT MaTepmana?

#16 - 07/15/2017 11:16 AM - Vitaliy Schetinin

Mikhail Kozlov nucan(a):

Yro Takoe stackPopper TG4RunConfiguration()?
http://er.jinr.ru/develop/issues/57

B cumynsiumsix Mbl He obpalwaemcs k Geant4 HanpsiMyto, a NCMONb3YeM HEKOTOPYHO NMPOCONKY abCcTparmpyoLLyto Hac OT KOHKPETHOR 61ubnmoTekn
TpaHcnopTa - Virtual Monte Cerlo - https://root.cern.ch/vmc./nes B ToM, 4TO B NpuHUMNe Bce 6ubnnoTekmn TpaHcrnopTa paboTaT npuMepHo
0MHAKOBO M MOXHO UMETb OLIMH 1 TOT Xe UHTEepPec K HUM BceM 1 6e3 npobnem nepeknoyatbes. PaHblie 310 6bino 6onee akTyanbHo, NOTOMY
41O B KONabopauumsix oAHOBpeMEHHo ncnonb3osanu geant3(https:/en.wikipedia.org/wiki/GEANT-3) n geant4(http://geant4.cern.ch/).Celiyac Bce
npakTu4eckn ncnonb3yloT geant4. Bvmc takxe ectb nogaepxka fluka - http://www.fluka.org/fluka.php (8 0CHOBHOM NpyMeHseTCs AN pac4eTos
panvauvoHHon 3awmThl) u http:/garfield.web.cern.ch/garfield/(B o0cHOBHOM AN ra3oBbiX AETEKTOPOB).

TG4RunConfiguration ato knacc VMC ans HacTpoiiku Geant4. - hitp://ivana.home.cern.ch/ivana/gdvmc_html/classTG4RunConfiguration.html

Ero napameTpbl: TMN ncnonb3yemon reomeTpum, Physic List - cnucok ncnonb3yembix npoueccos(https://root.cern.ch/physics-list) n cneunanbHbie
npoueccol VMC. MNopa cneumanbHbiMU Npoleccamm nogpasymesaetcs 1o, 4To VMC cam MoXeT BTopraTtbCs B noruky TpaHcnopta. K npumepy
SpecialCuts o3Ha4aerT, 410 6ynyT npuMeHeHbl kaTbl B cTune VMC. OHu sHepreTuyeckne u 3anarTcs B Makpoce SetCuts ¢ nomolubo 06bekta gMC.
Ecnu atoro cneuuanbHoro npouecca HeT, To paboTatoT KaTtbl N0 YMONYaHWIO UM UCMOMb3YETCs HATUBHbIN cnocob 3aaaHus katos 6nbnmoteku
TpaHcnopTa. [ns Hac ceivac ynobeH uMeHHo 3TOT BapuaHT. Ceilyac cTonT 3aAaBath KaTbl C NoMolbio g4config.in aTo Makpoc HacTpoiiku geant4.
B Geant4 BBeneH cBoii cnocob 3amaHns KaTos - range cut(
http://geant4.cern.ch/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/TrackingAndPhysics/thresholdVScut.html). 310 kaT Ha npober
HOBOW YacTuubl B [aHHOM MaTtepuane, To eCTb eCnu OHa Mo pacyeTy NPoBeXUT MeHbLUE KaTta, TO He HaA0 3aHUMAaTbCS €e TPEKVMHIOM. ee SHeprus
yinet B edep B TOuKe, rae pasbirpbiBaeTCcs NPoLEece.

CTpOKI/I AONnAa 3afaHnAa Katos:

/mcPhysics/rangeCuts 1 mm
/mcPhysics/rangeCutForGamma 1. mm
/mcPhysics/rangeCutForElectron 1 mm

Mpouecc stackPopper no3sonseT HaMm C NOMOLLbIO VMC AOKMAbIBATb CBOU TPEKM B cobbiTve B npouecce TpekmHra. Ham aToT Npouecc 04eHb HyXeH
B CBSI3Y C peanuaaumen Halero Knacca pacnagnos.

#17 - 07/16/2017 04:18 PM - Sergey Belogurov

Muxanny akTyanbHO 3apaBaTb pasHble KaTbl B pasHbix Matepranax. B TO® Hano noHuxe, a B raze MWPC un tak OK.

#18 - 07/20/2017 08:26 AM - Vitaliy Schetinin

[ns nonyyeHus peanbHo KOOPAMHATLI MyyKa Ha MULIEHW, ee cnelyeT fobaBuTb Kak YyBCTBUTENbHbIA 06BEM B 3TOT AETEKTOP (TO €CTb NPSIMO B
reomeTpuio). Beectu ewe oanH TN NomHTa. MulleHb Kak NaccyBHbIA OTAENbHbIA 3NeMeHT ybpaTtb U3 CUMynsunu.
https://root.cern.ch/vmc.%D0%98%D0%B4%D0%B5%D1%8F
https://en.wikipedia.org/wiki/GEANT-3
http://geant4.cern.ch/).%D0%A1%D0%B5%D0%B9%D1%87%D0%B0%D1%81
http://www.fluka.org/fluka.php
http://garfield.web.cern.ch/garfield/(%D0%B2
http://ivana.home.cern.ch/ivana/g4vmc_html/classTG4RunConfiguration.html
https://root.cern.ch/physics-list
http://geant4.cern.ch/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/TrackingAndPhysics/thresholdVScut.html

#19 - 07/20/2017 12:16 PM - Mikhail Kozlov

MpvMnTUB MUWEHN ocTaBnTb Tube unu kak-To no-gpyromy coenatb?

#20 - 07/20/2017 12:47 PM - Vitaliy Schetinin

PoBHo Takxe. TonbKo oHa Tenepb B LeTeKkTope. [pocTo, 4Tobbl He MNOAUTL OTLAENbHbIA KNACC MUWLEHN U KaK TO CTpaHHo ByneT ero
HecanepoBaTb oT ERDetector

#21 - 07/21/2017 07:23 AM - Vitaliy Schetinin

TecT pacchbinku yBeAOMEHWIA Ha NOYTY

#22 - 07/31/2017 02:14 PM - Vitaliy Schetinin

HeobxoamMo nobaBuTb B CUMynsaUMIO 3annchk Takoro o6bekTa kak fBeamDetMCProjectile knacca ERBeamDetParticle. 910 coctosiHue noHa Ha
MULIEHN B CUMYNSLMKW. VIMS OHA Mbl MepeaaeM B Knacc cuMynsumm Yepes nHtepderic. C nomoLyblo 3Toro npu TPEKMHre Yepes MuweHb oTérpaem
Tpek uoHa. CuUMTbIBAEM Ero NapameTpbl Npy BXo4e B MULEHb 1 cTponM 06bekT fBeamDetMCProjectile.

Takxe B cuMynsiumm Heobxonmmo coxpaHnTb 06bekT fBeamDetMCTrack knacc ERBeamDetTrack. B HeM HE06x0AMMO 3aMOMHUTL TEXE AaHHbIE,
4TO M B PEKOHCTPYKLUMU. TONbKO B AHHOM CNy4Yae Mbl MO YECTHOMY Mo/y4YaemM KOopauHaThl Ha MuweHn n Ha MWPC.

#23 - 08/09/2017 08:09 AM - Vitaliy Schetinin

- Status changed from OrtkpsbiTa to 3akpeiTa
